.\" $NetBSD: amr.4,v 1.13 2006/07/23 13:24:34 wiz Exp $
.\"
.\" Copyright (c) 2000 Jeroen Ruigrok van der Werven
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.\" $FreeBSD: /repoman/r/ncvs/src/share/man/man4/amr.4,v 1.16 2003/03/26 01:34:23 keramida Exp $
.\"
.Dd July 23, 2006
.Dt AMR 4
.Os
.Sh NAME
.Nm amr
.Nd AMI MegaRAID PCI-SCSI RAID driver
.Sh SYNOPSIS
.Cd "amr* at pci? dev ? function ?"
.Cd scsibus* at amr?
.Sh DESCRIPTION
The
.Nm
driver provides support for LSI (formerly American Megatrends) MegaRAID
Express, Elite and Enterprise family RAID controllers for SCSI and SATA,
including models relabeled and sold by Dell, Hewlett-Packard, and Intel.
Supported controllers include:
.Pp
.Bl -bullet -compact
.It
MegaRAID 320-1
.It
MegaRAID 320-2
.It
MegaRAID Series 418
.It
MegaRAID Enterprise 1200 (Series 428)
.It
MegaRAID Enterprise 1300 (Series 434)
.It
MegaRAID Enterprise 1400 (Series 438)
.It
MegaRAID Enterprise 1500 (Series 467)
.It
MegaRAID Enterprise 1600 (Series 471)
.It
MegaRAID Elite 1500 (Series 467)
.It
MegaRAID Elite 1600 (Series 493)
.It
MegaRAID Express 100 (Series 466WS)
.It
MegaRAID Express 200 (Series 466)
.It
MegaRAID Express 300 (Series 490)
.It
LSI MegaRAID SCSI 320-0X, 320-2X, 320-4X
.It
LSI MegaRAID SCSI 320-1E, 320-2E
.It
LSI MegaRAID SATA 300-6x, 300-8x
.It
Dell PERC
.It
Dell PERC 2/SC
.It
Dell PERC 2/DC
.It
Dell PERC 4/Di
.It
Dell PERC 4/SC
.It
Dell PERC 4e/Si
.It
HP NetRAID-1/Si
.It
HP NetRAID-3/Si
.It
HP Embedded NetRAID
.It
Intel SRCU42X
.It
Intel SRCU42E
.It
Intel SRMOBU42E
.It
Intel SRCS28X
.El
.Sh DIAGNOSTICS
.Ss Driver initialisation/shutdown phase
.Bl -diag
.It amr%d: memory window not available
.It amr%d: I/O window not available
.Pp
The PCI BIOS did not allocate resources necessary for the correct operation of
the controller.
The driver cannot attach to this controller.
.It amr%d: busmaster bit not set, enabling
.Pp
The PCI BIOS did not enable busmaster DMA,
which is required for the correct operation of the controller.
The driver has enabled this bit and initialisation will proceed.
.It amr%d: can't allocate register window
.It amr%d: can't allocate interrupt
.It amr%d: can't set up interrupt
.It amr%d: can't allocate parent DMA tag
.It amr%d: can't allocate buffer DMA tag
.It amr%d: can't allocate scatter/gather DMA tag
.It amr%d: can't allocate s/g table
.It amr%d: can't allocate mailbox tag
.It amr%d: can't allocate mailbox memory
.Pp
A resource allocation error occurred while initialising the driver;
initialisation has failed and the driver will not attach to this controller.
.It amr%d: can't obtain configuration data from controller
.It amr%d: can't obtain product data from controller
.Pp
The driver was unable to obtain vital configuration data from the controller.
Initialisation has failed and the driver will not attach to this controller.
.It amr%d: can't establish configuration hook
.It amr%d: can't scan controller for drives
.Pp
The scan for logical drives managed by the controller failed.
No drives will be attached.
.It amr%d: device_add_child failed
.It amr%d: bus_generic_attach returned %d
.Pp
Creation of the logical drive instances failed;
attachment of one or more logical drives may have been aborted.
.It amr%d: flushing cache...
.Pp
The controller cache is being flushed prior to shutdown or detach.
.El
.Ss Operational diagnostics
.Bl -diag
.It amr%d: I/O beyond end of unit (%u,%d \*[Gt] %u)
.Pp
A partitioning error or disk corruption has caused an I/O request
beyond the end of the logical drive.
This may also occur if FlexRAID Virtual Sizing is enabled and
an I/O operation is attempted on a portion of the virtual drive
beyond the actual capacity available.
.It amr%d: polled command timeout
.Pp
An initialisation command timed out.
The initialisation process may fail as a result.
.It amr%d: bad slot %d completed
.Pp
The controller reported completion of a command that the driver did not issue.
This may result in data corruption,
and suggests a hardware or firmware problem with the system or controller.
.It amr%d: I/O error - %x
.Pp
An I/O error has occurred.
.El
.Sh SEE ALSO
.Xr cd 4 ,
.Xr ch 4 ,
.Xr intro 4 ,
.Xr pci 4 ,
.Xr scsi 4 ,
.Xr sd 4 ,
.Xr st 4 ,
.Xr amrctl 8
